select_edges_by_node_id {DiagrammeR} | R Documentation

## Select edges in a graph using node ID values

### Description

Select edges in a graph object of class `dgr_graph` using node ID values. If nodes have IDs that are monotonically increasing integer values, then numeric ranges can be used for the selection.

### Usage

    select_edges_by_node_id(graph, nodes, set_op = "union")

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`nodes` | a vector of node IDs for the selection of nodes present in the graph.
`set_op` | the set operation to perform upon consecutive selections of graph nodes. This can either be as a `union` (the default), as an `intersection`, or, as a `difference` on the previous selection, if it exists.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]